Bug 3553 - Xnest does not accept clients and there is no documentation about it
: Xnest does not accept clients and there is no documentation about it
Status: CLOSED WONTFIX
: Sisyphus
(All bugs in Sisyphus/xorg-x11-xnest)
: unstable
: all Linux
: P2 blocker
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2004-01-28 16:45 by
Modified: 2008-01-21 10:01 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2004-01-28 16:45:22
Xnest does not accept client connections, because he does not "generate" and
"write" somewhere auth cookie. To make it accept connections one should do
"xauth add :X MIT-MAGIC-COOKIE-1 somecookie" before startting "Xnest :X". And
there is no documentation describing that.
------- Comment #1 From 2004-05-14 19:27:17 -------
Посмотрим. Есть идеи, как это лучше сделать из коробки ?
------- Comment #2 From 2004-05-14 19:33:40 -------
Сделать Xnest скриптом? Парсить на предмет :N в опциях, лезть в xauth за кукой
для :$DISPLAY и добавлять ее же как куку для :N.
типа "xauth add :2 `xauth list $DISPLAY | cut -f 2- -d ' '`"
------- Comment #3 From 2004-06-03 17:16:22 -------
Может быть стоит снизить приоритет этой баги? 
------- Comment #4 From 2004-06-03 17:18:18 -------
Я бы его еще повысил, наоборот =/
------- Comment #5 From 2004-06-03 18:17:57 -------
Посмотрю дома на свой работающий Xnest...
------- Comment #6 From 2004-06-04 09:23:17 -------
Рассказываю.
1. Редактируем /etc/sysconfig/xfs: ARGS="-port 7100 -daemon -user xfs"
2. Редактируем /etc/X11/XF86Config-4: FontPath   "tcp/localhost:7100"
3. Включаем XDMCP в gdm
4. Вложенный сервер запускаем так:
$ Xnest :1 -query localhost -fp tcp/localhost:7100 -once
Так работает.
По поводу Alt-Tab я обнаружил следующее: если быстро нажать левый Alt, то он как
бы окажется нажатым в Xnest. То есть нажатие Tab приведёт к Alt-Tab в Xnest.
Повторное нажатие "отпускает" его. Но это нужно очень ловко проделывать, не
всегда получается.
Пока всё.
------- Comment #7 From 2005-06-20 19:17:02 -------
reassign to new mantainer
------- Comment #8 From 2005-09-02 01:52:59 -------
(In reply to comment #6) 
> $ Xnest :1 -query localhost -fp tcp/localhost:7100 -once 
> Так работает. 
Так понятно что работает, но решает ли это первоначальный вопрос? 
------- Comment #9 From 2008-01-08 23:14:11 -------
при наличии Xephyr все это неактуально
------- Comment #10 From 2008-01-20 02:03:33 -------
Значит, для Xnest это WONTFIX.